//#include "stdafx.h"
#include "kontokonsole.h"
  #include <stdlib.h>
#include <iostream>
#include <ctype.h>
namespace KontoKonsole
{
	void Init()
	{
		std::cout.precision(2);
		std::cout.setf(ios::fixed, ios::floatfield);
		system("cls");
	}

	void Kontoauszug(Konto* K)
	{	
		cout << endl << "Kontoauszug" << endl;
		cout <<         "-----------" << endl;
		cout << "Name: " << K->Get_Name() << ";   Kontonummer: " << K->Get_KtoNr() << endl;
		cout << "Kontostand:  " << K->Get_KtoStand()                     << " EUR" << endl;
		cout << "Dispokredit: " << K->Get_Dispo()                        << " EUR" << endl;
	}

	void Einzahlung(Konto* K)
	{
		float B;
		cout << endl << "Einzahlung" << endl;
		cout <<         "----------" << endl;
		cout << "Welcher Betrag soll eingezahlt werden?" << endl;
		cout << "Betrag: ";
		cin.clear(); cin.sync();
		cin >> B;
		K->Einzahlen(B);
		cout << "Der Auftrag wurde ausgefuehrt. ";
		cout << "Ihr Kontostand betraegt " << K->Get_KtoStand() << " EUR." << endl;
	}

	void Auszahlung(Konto* K)
	{
		float B;
		cout << endl << "Auszahlung" << endl;
		cout <<         "----------" << endl;
		cout << "Welcher Betrag soll ausgezahlt werden?" << endl;
		cout << "Betrag: ";
		cin.clear(); cin.sync();
		cin >> B;
		if(K->Auszahlen(B)) {
			cout << "Der Betrag wurde ausgezahlt.";
			cout << "Das Guthaben betraegt nun " << K->Get_KtoStand() << " EUR" << endl;
		}
		else {
			cout << "Die Auszahlung wurde abgelehnt." << endl;
			cout << "Ihr aktueller Kontostand betraegt: " << K->Get_KtoStand() << " EUR" << endl;
			cout << "Ihr verfuegbarer Dispokredit ist : " << K->Get_Dispo() << " EUR" << endl;
		}
	}
}
