//#include "stdafx.h"
#include "kontolist.h"

KontoList::KontoList()
{
    L_Start = new KontoListElement();
    L_End = L_Start;
    L_Act = L_Start;
}
KontoList::~KontoList()
{
    KontoListElement* temp;
    L_Act = L_Start;
    while(L_Act != 0) {
        temp = L_Act;
        L_Act = L_Act->Next;
        delete temp;
    }    
}
void KontoList::AddData(Konto* D)
{
    if(!(L_Start->Data))
       L_Start->Data = D;
    else {
        L_End->Next = new KontoListElement();
        L_End->Next->Data = D;
        L_End->Next->Prev = L_End;
        L_End = L_End->Next;
    }    
}    
Konto* KontoList::GetData(int N)
{
    L_Act=L_Start;
    while(L_Act)
    {
        if (L_Act->Data) 
		{
            if (L_Act->Data->Get_KtoNr() == N)
               return L_Act->Data;
        }    
        L_Act = L_Act->Next;
    }    
    return 0;
}

bool KontoList::DelData(int N)
{
    KontoListElement* temp;
    L_Act = L_Start;
    while(L_Act)
    {
        if (L_Act->Data) {
            if (L_Act->Data->Get_KtoNr() == N) 
            {
                temp = L_Act;
                
                if(L_Start == L_End)
                {
                    L_Start->Data = 0;
                    L_Start->Next = 0;
                    L_Start->Prev = 0;
                    L_End = L_Start;
                    delete temp;
                }    
                else if(L_Act == L_Start) {
                    L_Start = L_Start->Next;
                    L_Start->Prev = 0;
                    delete temp;
                }    
                else if (L_Act == L_End) {
                    L_End = L_End->Prev;
                    L_End->Next = 0;
                    delete temp;    
                }
                else {
                    L_Act->Next->Prev = L_Act->Prev;
                    L_Act->Prev->Next = L_Act->Next;
                    delete temp;
                }
                L_Act = L_Start;
                return true;         
            }
        } 
        L_Act = L_Act->Next;   
    } 
    L_Act = L_Start;
    return false;   
}   
